summaryrefslogtreecommitdiff
path: root/src/auditor/test-auditor.sh
diff options
context:
space:
mode:
authorChristian Grothoff <christian@grothoff.org>2019-08-23 13:26:51 +0200
committerChristian Grothoff <christian@grothoff.org>2019-08-23 13:26:51 +0200
commit6e6d6013be7f48e7abe6bbfa030a28a3e2e6335c (patch)
tree0027ead00c27fe8ef0ff1701660a770bb68e5b9e /src/auditor/test-auditor.sh
parentaba79636ab81d0830ad3502a4525e284f0aabdb2 (diff)
downloadexchange-6e6d6013be7f48e7abe6bbfa030a28a3e2e6335c.tar.gz
exchange-6e6d6013be7f48e7abe6bbfa030a28a3e2e6335c.tar.bz2
exchange-6e6d6013be7f48e7abe6bbfa030a28a3e2e6335c.zip
fix test-auditor.sh check for no emergencies
Diffstat (limited to 'src/auditor/test-auditor.sh')
-rwxr-xr-xsrc/auditor/test-auditor.sh2
1 files changed, 1 insertions, 1 deletions
diff --git a/src/auditor/test-auditor.sh b/src/auditor/test-auditor.sh
index 3127e4625..b2b3431a7 100755
--- a/src/auditor/test-auditor.sh
+++ b/src/auditor/test-auditor.sh
@@ -23,7 +23,7 @@ taler-auditor -c test-auditor.conf -m $MASTER_PUB > test-audit.json
fail=0
# if an emergency was detected, that is a bug and we should fail
echo -n "Test for emergencies... "
-jq -e .emergencies < test-audit.json > /dev/null && (echo Failed; fail=1) || echo OK
+jq -e .emergencies[0] < test-audit.json > /dev/null && (echo Failed; fail=1) || echo OK
# TODO: Add more checks to ensure test-audit.json matches expectations